This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1461261 - (CVE-2017-7758) CVE-2017-7758 Mozilla: Out-of-bounds read in Opus encoder (MFSA 2017-16)
CVE-2017-7758 Mozilla: Out-of-bounds read in Opus encoder (MFSA 2017-16)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170614,repor...
: Security
Depends On:
Blocks: 1459420
  Show dependency treegraph
 
Reported: 2017-06-14 00:38 EDT by Huzaifa S. Sidhpurwala
Modified: 2017-10-11 19:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-06-27 02:16:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2017-06-14 00:38:08 EDT
An out-of-bounds read vulnerability with the Opus encoder when the number of channels in an audio stream changes while the encoder is in use.


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2017-16/#CVE-2017-7758


Acknowledgements:

Name: the Mozilla project
Upstream: Nicolas Trippar (Zimperium zLabs)
Comment 1 errata-xmlrpc 2017-06-14 03:53:42 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1440 https://access.redhat.com/errata/RHSA-2017:1440
Comment 2 errata-xmlrpc 2017-06-21 00:37:47 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:1561 https://access.redhat.com/errata/RHSA-2017:1561

Note You need to log in before you can comment on or make changes to this bug.